<?php
namespace EMS\PortalFuncionario\Geral\Services;

use Zeedhi\Framework\Controller\Crud;
use Doctrine\ORM\EntityManager;

use EMS\PortalFuncionario\Geral\Repository\SolicitacaoRepository;
use EMS\PortalFuncionario\Util\DateUtil;

class SolicitacaoService extends Crud {

	public function __construct(EntityManager $entityManager, SolicitacaoRepository $solicitacao) {
		$this->entityManager    = $entityManager;
		$this->solicitacao      = $solicitacao;
    }

    public function getSolicitacao(
        string $nrvinculom,
        string $nrorg,
        string $cdoperador
    ) : array {
        try {
            return $this->solicitacao->getSolicitacao(
                $nrvinculom,
                $nrorg,
                $cdoperador
            );
        } catch (\Exception $e) {
            throw $e;
        }
    }
    
}